Subject: Re: linux-next: Fixes tag needs some work in the mm tree

From: Zi Yan <[email-masked]>
Date: Tue, 24 May 2022 20:36:30 -0400

On 24 May 2022, at 20:27, Stephen Rothwell wrote:

> Hi all,
>
> In commit
>
>   29a8af92b874 ("mm: fix a potential infinite loop in start_isolate_page_range()")
>
> Fixes tag
>
>   Fixes: b2c9e2fbba ("mm: make alloc_contig_range work at pageblock granulari=
>
> has these problem(s):
>
>   - SHA1 should be at least 12 digits long
>     This can be fixed for the future by setting core.abbrev to 12 (or
>     more) or (for git v2.11 or later) just making sure it is not set
>     (or set to "auto").

Got it. my git log always shows the full SHA1. I forgot 12 digits are
required.

>   - Subject has leading but no trailing parentheses
>   - Subject has leading but no trailing quotes
>   - Subject does not match target commit subject
>     Just use
> 	git log -1 --format='Fixes: %h ("%s")'
>
> Please do not split Fixes tags over more than one line.

I sent the patch with transferEncoding=quoted-printable, and the raw
message of that line shows:

Fixes: b2c9e2fbba ("mm: make alloc_contig_range work at pageblock granulari=
ty")

Should I not use that option for git send-email?

Please advise. Thanks.

--
Best Regards,
Yan, Zi